c
c     number of natural neighbors (n-n), n-n list, shape function
c     (n-n coordinates) phi_I and its derivatives phi_I,j
c
      integer n, ngbrs_list(MAXNGBRS)
      real*8 phi(NSD+1,MAXNGBRS)
c
c     number of "natural neighbor" triangles and the triangle
c     list
c
      integer ntri, ngbrs_tri(MAXTRINGBRS)
